## dcap 1.2.44

=== Makefile ===
#
# $Id: Makefile,v 1.42 2005-02-04 13:58:33 tigran Exp $
#

# Top Level Makfile
PACKAGE_NAME=dcap
BIN_PATH = /afs/.desy.de/products/dcache
RPM_STAGING_DIR	= /usr/src/packages/SOURCES
LIB_PATH = $(BIN_PATH)/lib
CP    = cp
RM    = rm -f
LINK  = ln -s
MV    = mv
RPMBUILD = rpmbuild

TARGET = libdcap libpdcap dccp dcap_test depend mapfile wdccp cflags

all $(TARGET):

	@if  [ ! -f .depend ]; then \
		touch .depend;  \
		$(MAKE) depend; \
	fi
	
	@case `uname` in \
		SunOS) \
			$(MAKE) -f Makefile.sun $@ ; \
			;; \
		Linux) \
			$(MAKE) -f Makefile.linux $@ ; \
			;; \
		IRIX*) \
			$(MAKE) -f Makefile.sgi $@ ; \
			;; \
		AIX) \
			$(MAKE) -f Makefile.alpha $@ ; \
			;; \
		CYGWIN*) \
			$(MAKE) -f Makefile.w32 $@ ;\
			;; \
		*) \
			echo "Don't know your machine type" \
			echo "Have a look in Porting file" \
			;; \
	esac

release:
	@VER=`cat dcap_version.c | grep version`; \
	echo "Last version: $$VER"; \
	echo "Enter new version name:"; \
	read version; \
	$(RM) -f dcap_version.c; \
	echo "" > dcap_version.c; \
	echo "#define VER(a) #a \" \" __DATE__ \" \" __TIME__ ;" >> dcap_version.c; \
	echo "#define VERLONG(a) #a \" \" __DATE__ \" \" __TIME__ \" CFLAGS=\\\"\" __CFLAGS__ \"\\\"\";" >> dcap_version.c; \
	echo "" >> dcap_version.c; \
	echo "const char *getDcapVersion()" >> dcap_version.c; \
	echo "{" >> dcap_version.c; \
	echo "	return VER( $$version );" >> dcap_version.c; \
	echo "}" >> dcap_version.c; \
	echo "" >> dcap_version.c; \
	echo "const char *getDcapVersionLong()" >> dcap_version.c; \
	echo "{" >> dcap_version.c; \
	echo "	return VERLONG( $$version );" >> dcap_version.c; \
	echo "}" >> dcap_version.c; \
	echo "" >> dcap_version.c; \
	cvs commit; \
	cvs tag -c -b $$version;


install: rebuild dirs
	@VER=`./version.sh`; \
	$(MV) libdcap.so libdcap$$VER.so; \
	$(RM) $(LIB_PATH)/libdcap.so; \
	$(LINK) libdcap$$VER.so $(LIB_PATH)/libdcap.so; \
	$(CP) libdcap$$VER.so $(LIB_PATH)/; \
	$(MV) libpdcap.so libpdcap$$VER.so; \
	$(RM) $(LIB_PATH)/libpdcap.so; \
	$(LINK) libpdcap$$VER.so $(LIB_PATH)/libpdcap.so; \
	$(CP) libpdcap$$VER.so $(LIB_PATH)/; \
	$(CP) dccp $(BIN_PATH)/bin/; \
	$(CP) dcap.h $(BIN_PATH)/include/; \
	$(CP) dcap_errno.h $(BIN_PATH)/include/; \
	$(CP) dc_hack.h $(BIN_PATH)/include/; \
	$(CP) dccp.c $(BIN_PATH)/sources/; \
	$(CP) libdcap.a $(LIB_PATH)/;

dirs:
	./mkdirs.sh $(BIN_PATH)/bin/
	./mkdirs.sh $(LIB_PATH)
	./mkdirs.sh $(BIN_PATH)/include/
	./mkdirs.sh $(BIN_PATH)/sources/

dist: cleanall
	@mkdir -p build/
	@tar --gzip --exclude='*CVS*' --exclude='*.svn*' -cf build/$(PACKAGE_NAME).src.tgz *


rpm: cleanall dist
	@$(RPMBUILD) -ta build/$(PACKAGE_NAME).src.tgz

rebuild: cleanall all
	@echo "Compilation Done."

clean:
	@rm -f *.o *.BAK core

cleanall: clean	
	@rm -f $(TARGET) libdcap*.so libdcap*.a libpdcap*.so dcap.h \
	.depend debug_map.h  debug_level.h mapfile
	@rm -fr build

=== security_plugins/gssapi/Makefile ===
#
#  $Id: Makefile.gsi,v 1.4.2.3 2006-10-16 14:06:03 tigran Exp $
#

.PHONY: libgssTunnel.so client server

# Your compiler/linker options here
PACKAGE_NAME = dcachedcapspgsi

RPMBUILD = rpmbuild

PATH_DIST_DIR = build/
PATH_BDIST_DIR = bdist/

PATH_PREFIX_DIR = /usr/local/
LIB_PATH = $(PATH_PREFIX_DIR)/lib

CP    = cp


CFLAGS = -g -DGSIGSS
LDFLAGS = -shared -L/opt/globus/lib -L/usr/lib
SYS_LIBS = -lcrypt -lresolv -lc


GSI = /opt/globus

ARCH = 32

FLAVOUR = _gcc$(ARCH)dbg

SSL = /products/ssl

PATH_INCLUDE_GSI = $(GSI)/include/gcc$(ARCH)dbg
PATH_INCLUDE_LIB = $(GSI)/

CFLAGS += -fPIC -I$(PATH_INCLUDE_GSI) -DGLOBUS_BUG

LIB_FLAGS = -Bdynamic

LIBS = $(LIB_FLAGS)  \
	-lglobus_gssapi_gsi$(FLAVOUR) \
	-lglobus_gsi_callback$(FLAVOUR) \
	-lglobus_gsi_cert_utils$(FLAVOUR) \
	-lglobus_gsi_proxy_core$(FLAVOUR) \
	-lglobus_gsi_credential$(FLAVOUR) \
	-lglobus_openssl$(FLAVOUR) \
	-lglobus_gsi_sysconfig$(FLAVOUR) \
	-lglobus_openssl_error$(FLAVOUR) \
	-lglobus_oldgaa$(FLAVOUR) \
	-lglobus_proxy_ssl$(FLAVOUR) \
	-lglobus_common$(FLAVOUR) \
	-ldl \
	-L$(SSL)/lib \
	$(SYS_LIBS)
#	-lssl -lcrypto $(SYS_LIBS)

PLUGIN = libgsiTunnel.so
		
OBJS = base64.o gssIoTunnel.o util.o tunnelQueue.o


all: $(PLUGIN)


$(PLUGIN): $(OBJS) Makefile
	$(LD) $(LDFLAGS) -o $(PLUGIN) $(OBJS) $(LIBS)

$(OBJS): Makefile


client: $(PLUGIN) client.o
	$(CC) -o client client.o $(OBJS) $(LIBS)

server: $(PLUGIN) server.o
	$(CC) -o server server.o $(OBJS) $(LIBS)

clean:
	@rm -f *.o core client server $(PLUGIN) *\~ *.BAK

.c.o:
	$(CC) -c $(CFLAGS) $<

dist: clean
	@mkdir -p $(PATH_DIST_DIR)
	@tar --gzip --exclude='*CVS*' --exclude='*.svn*' -cf $(PATH_DIST_DIR)/$(PACKAGE_NAME).src.tgz *

install: $(PLUGIN)
	mkdir -p $(LIB_PATH)/
	$(CP) $(PLUGIN) $(LIB_PATH)/;

bindist: all
	@rm -rf $(PATH_BDIST_DIR)/
	@mkdir -p $(PATH_DIST_DIR)
	make -f Makefile.gsi install PATH_PREFIX_DIR=$(PATH_BDIST_DIR)/${PATH_PREFIX_DIR} ARCH=$(ARCH)
	tar --gzip -cf $(PATH_DIST_DIR)/$(PACKAGE_NAME).bin.tgz -C $(PATH_BDIST_DIR)/ .

=== security_plugins/ssl/Makefile ===
#
# $Id: Makefile,v 1.3 2003-02-03 10:32:13 cvs Exp $
#

CC = gcc
SSL = 

LIBS = -L$(SSL)/lib -lssl -lcrypto -ldl
LDFLAGS = -shared
CFLAGS = -I.

OBJS = sslTunnel.o user.o


all: $(OBJS)  plugin

	
plugin:
	$(LD) $(LDFLAGS) -o libsslTunnel.so $(OBJS) $(LIBS)
	
clean:
	@rm -f *.o core a.out libsslTunnel.so $(OBJS)

.c.o:
	$(CC) -c $(CFLAGS) $<

=== security_plugins/telnet/Makefile ===
#
# $Id: Makefile,v 1.0 2008-05-08 11:32:13 cvs Exp $
#

CC = gcc

LIBS = 
LDFLAGS = -shared
CFLAGS = -I. -fPIC

OBJS = telnetTunnel.o user.o 
OBJS_pwd = dcapPasswd.o 

PATH_PREFIX_DIR = /usr/local/
LIB_PATH = $(PATH_PREFIX_DIR)/lib

CP    = cp

PLUGIN = libtelnetTunnel.so

all: $(OBJS)  $(PLUGIN)

dcapPasswd: $(OBJS_pwd)
	$(CC) -o dcapPasswd $(OBJS_pwd) -lcrypt


$(PLUGIN):
	$(LD) $(LDFLAGS) -o $(PLUGIN) $(OBJS) $(LIBS)
	
clean:
	@rm -f *.o core a.out $(PLUGIN) dcapPasswd $(OBJS)

.c.o:
	$(CC) -c $(CFLAGS) $<

install: $(PLUGIN) all
	mkdir -p $(LIB_PATH)/
	$(CP) $(PLUGIN) $(LIB_PATH)/;

## dcap 2.47.2

=== debian/changelog ===
dcap (2.47.2-2) unstable; urgency=low

  * Convert to package format 3.0

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 17 Jun 2010 13:36:01 +0200

dcap (2.47.2-1) unstable; urgency=low

  * New upstream release (Closes: #576224)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 07 Apr 2010 13:00:49 +0200

dcap (1.2.44-5) unstable; urgency=low

  * Fix building on avr32

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 05 Jan 2010 16:07:41 +0100

dcap (1.2.44-4) unstable; urgency=low

  * Big/Little endian porting for more architectures (Closes: #563408)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 02 Jan 2010 22:10:15 +0100

dcap (1.2.44-3) unstable; urgency=low

  * Porting for GNU/Hurd and GNU/kFreeBSD

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 02 Jan 2010 15:04:28 +0100

dcap (1.2.44-2) unstable; urgency=low

  * Fix copyright issues (Closes: #562514).

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 25 Dec 2009 09:27:03 +0100

dcap (1.2.44-1) UNRELEASED; urgency=low

  * Initial packaging.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 22 Dec 2009 12:40:00 +0100

=== debian/control ===
Source: dcap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), quilt, libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, autoconf, automake, libtool
Standards-Version: 3.8.4
Section: libs
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dcap
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/dcap
Homepage: http://www.dcache.org/manuals/libdcap.shtml

Package: dcap
Section: net
Architecture: any
Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Client Tools for dCache
 dCache is a distributed mass storage system.
 This package contains the client tools.

Package: libdcap1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: dcap-tunnel-gsi (= ${binary:Version}), dcap-tunnel-krb (= ${binary:Version}), dcap-tunnel-ssl (= ${binary:Version}), dcap-tunnel-telnet (= ${binary:Version})
Description: Client Libraries for dCache
 dCache is a distributed mass storage system.
 This package contains the client libraries.

Package: dcap-dev
Section: libdevel
Architecture: any
Depends: libdcap1 (= ${binary:Version}), ${misc:Depends}
Description: Client Development Files for dCache
 dCache is a distributed mass storage system.
 This package contains the client development files.

Package: dcap-tunnel-gsi
Architecture: any
Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GSI tunnel for dCache
 This package contains the gsi tunnel plugin library used by dcap.
 This library is dynamically loaded at runtime.

Package: dcap-tunnel-krb
Architecture: any
Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Kerberos tunnel for dCache
 This package contains the kerberos tunnel plugin library used by dcap.
 This library is dynamically loaded at runtime.

Package: dcap-tunnel-ssl
Architecture: any
Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SSL tunnel for dCache
 This package contains the ssl tunnel plugin library used by dcap.
 This library is dynamically loaded at runtime.

Package: dcap-tunnel-telnet
Architecture: any
Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Telnet tunnel for dCache
 This package contains the telnet tunnel plugin library used by dcap.
 This library is dynamically loaded at runtime.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/quilt/quilt.make

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

version=2.47.2
tagvers=$(version)-0

configure: configure-stamp
	:

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	for f in Copyright base64.c base64.h util.c ; do \
	  if (file plugins/gssapi/$$f | grep -q 8859) ; then \
	    iconv -f iso-8859-1 -t utf-8 plugins/gssapi/$$f \
				      -o plugins/gssapi/$$f.new ; \
	    mv plugins/gssapi/$$f.new plugins/gssapi/$$f ; \
	  fi ; \
	done

	sed 's%@@LIBDIR@@%/usr/lib%' -i src/tunnelManager.c

	chmod +x bootstrap.sh
	./bootstrap.sh

	CFLAGS="$(CFLAGS) -fno-strict-aliasing" LDFLAGS="-Wl,-z,defs" \
	./configure --prefix=/usr --with-globus-include="$(_includedir)/globus -I$(_libdir)/globus/include" --with-globus-lib=/dummy

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

unpatch: cleanup

clean: unpatch
	:

cleanup:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) clean && $(MAKE) distclean ; fi

	rm -rf config
	rm -f aclocal.m4
	rm -f configure
	rm -f Makefile.in
	rm -f src/debug_level.h.in
	rm -f src/Makefile.in
	rm -f plugins/Makefile.in
	rm -f plugins/*/Makefile.in

	rm -f build-stamp configure-stamp

	for f in Copyright base64.c base64.h util.c ; do \
	  if (file plugins/gssapi/$$f | grep -qi UTF) ; then \
	    iconv -f utf-8 -t iso-8859-1 plugins/gssapi/$$f \
				      -o plugins/gssapi/$$f.new ; \
	    mv plugins/gssapi/$$f.new plugins/gssapi/$$f ; \
	  fi ; \
	done

	sed 's%/usr/lib%@@LIBDIR@@%' -i src/tunnelManager.c

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k 

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	# Move plugins out of the default library path
	mkdir $(INSTALLDIR)/$(_libdir)/dcap
	mv $(INSTALLDIR)/$(_libdir)/lib*Tunnel* $(INSTALLDIR)/$(_libdir)/dcap

	rm $(INSTALLDIR)/$(_libdir)/dcap/*.a
	rm $(INSTALLDIR)/$(_libdir)/dcap/*.la

	rm -rf $(INSTALLDIR)/$(_datadir)/doc

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l debian/libdcap1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

get-orig-source:
	if [ -r ../dcap_$(version).orig.tar.gz ] ; then \
	  echo "dcap_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ -d "dcap-$(version)" ]; then \
	    echo "Please remove existing directory 'dcap-$(version)'" ; \
	    exit -1 ; \
	  fi ; \
	  echo "Fetching upstream svn version" ; \
	  svn co http://svn.dcache.org/dCache/tags/dcap-$(tagvers) \
	    dcap-$(version) ; \
	  echo "Removing some windows sources due to different licensing" ; \
	  rm dcap-$(version)/src/dcap_unix2win.c ; \
	  echo "Removing java base 64 sources due to different licensing" ; \
	  rm dcap-$(version)/plugins/javatunnel/Base64.java ; \
	  echo "Packing it up." ; \
	  GZIP=-9 tar --exclude=.svn -z -c -f ../dcap_$(version).orig.tar.gz \
	    dcap-$(version) ; \
	  echo "Cleaning up." ; \
	  rm -rf dcap-$(version) ; \
	fi

.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## dcap 2.47.5

=== debian/changelog ===
dcap (2.47.5-5) unstable; urgency=low

  * Add debug package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 08 Dec 2011 11:03:06 +0100

dcap (2.47.5-4) unstable; urgency=low

  * Update dcap-dlopen.patch (Closes: #643475)
  * Use dpkg's build flags

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 29 Sep 2011 21:33:20 +0200

dcap (2.47.5-3) unstable; urgency=low

  * Remove reference to /usr/share/common-licenses/BSD

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 17 May 2011 13:59:17 +0200

dcap (2.47.5-2) unstable; urgency=low

  * Remove libtool archives (Closes: #621281)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 28 Apr 2011 08:49:54 +0200

dcap (2.47.5-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 06 Nov 2010 21:48:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: dcap
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), quilt, libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, autoconf, automake, libtool
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, autoconf, automake, libtool
+Standards-Version: 3.9.2
 Section: libs
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dcap
@@ -60,3 +60,11 @@
 Description: Telnet tunnel for dCache
  This package contains the telnet tunnel plugin library used by dcap.
  This library is dynamically loaded at runtime.
+
+Package: dcap-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: dcap (= ${binary:Version}) | libdcap1 (= ${binary:Version}) | dcap-tunnel-gsi (= ${binary:Version}) | dcap-tunnel-krb (= ${binary:Version}) | dcap-tunnel-ssl (= ${binary:Version}) | dcap-tunnel-telnet (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for dcap
+ This package contains debug symbols for dcap.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

version=2.47.5
tagvers=$(version)-0

configure: configure-stamp
	:

configure-stamp:
	dh_testdir

	for f in Copyright base64.c base64.h util.c ; do \
	  if (file plugins/gssapi/$$f | grep -q 8859) ; then \
	    iconv -f iso-8859-1 -t utf-8 plugins/gssapi/$$f \
				      -o plugins/gssapi/$$f.new ; \
	    mv plugins/gssapi/$$f.new plugins/gssapi/$$f ; \
	  fi ; \
	done

	chmod +x bootstrap.sh
	./bootstrap.sh

	CFLAGS="$(CFLAGS)" \
	LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
	./configure \
		--prefix=/usr \
		--with-globus-include="$(_includedir)/globus -I$(_libdir)/globus/include" \
		--with-globus-lib=/dummy \
		--with-tunneldir=$(_libdir)/dcap

	touch $@

build: build-indep build-arch
	:

build-indep: build-stamp
	:

build-arch: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) clean && $(MAKE) distclean ; fi

	rm -rf config
	rm -f aclocal.m4
	rm -f configure
	rm -f Makefile.in
	rm -f src/debug_level.h.in
	rm -f src/Makefile.in
	rm -f plugins/Makefile.in
	rm -f plugins/*/Makefile.in

	rm -f build-stamp configure-stamp

	for f in Copyright base64.c base64.h util.c ; do \
	  if (file plugins/gssapi/$$f | grep -qi UTF) ; then \
	    iconv -f utf-8 -t iso-8859-1 plugins/gssapi/$$f \
				      -o plugins/gssapi/$$f.new ; \
	    mv plugins/gssapi/$$f.new plugins/gssapi/$$f ; \
	  fi ; \
	done

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k 

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	rm $(INSTALLDIR)$(_libdir)/dcap/*.a
	rm $(INSTALLDIR)$(_libdir)/dcap/*.la

	rm $(INSTALLDIR)$(_libdir)/*.la

	rm -rf $(INSTALLDIR)$(_datadir)/doc

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip --dbg-package=dcap-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l debian/libdcap1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

get-orig-source:
	if [ -r ../dcap_$(version).orig.tar.gz ] ; then \
	  echo "dcap_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ -d "dcap-$(version)" ]; then \
	    echo "Please remove existing directory 'dcap-$(version)'" ; \
	    exit -1 ; \
	  fi ; \
	  echo "Fetching upstream svn version" ; \
	  svn export http://svn.dcache.org/dCache/tags/dcap-$(tagvers) \
	    dcap-$(version) ; \
	  echo "Removing some windows sources due to different licensing" ; \
	  rm dcap-$(version)/src/dcap_unix2win.c ; \
	  echo "Removing java base 64 sources due to different licensing" ; \
	  rm dcap-$(version)/plugins/javatunnel/Base64.java ; \
	  echo "Packing it up." ; \
	  tar -z -c -f ../dcap_$(version).orig.tar.gz dcap-$(version) ; \
	  echo "Cleaning up." ; \
	  rm -rf dcap-$(version) ; \
	fi

.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure get-orig-source

## dcap 2.47.6

=== debian/changelog ===
dcap (2.47.6-2) unstable; urgency=low

  * Drop patch dcap-inline.patch (gcc bug #672411 is fixed - no longer needed)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 09 Jun 2012 10:57:57 +0200

dcap (2.47.6-1) unstable; urgency=low

  * New upstream release (EMI 2 release) (Closes: #630367)
  * Drop patches dcap-aliasing.patch, dcap-libs.patch and
    dcap-no-testinstall.patch implemented upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 26 May 2012 13:19:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, autoconf, automake, libtool
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dcap

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

version=2.47.6
tagvers=$(version)

configure: configure-stamp

configure-stamp:
	dh_testdir

	chmod +x bootstrap.sh
	./bootstrap.sh

	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
	./configure \
		--prefix=/usr \
		--with-globus-include="$(_includedir)/globus -I$(_libdir)/globus/include" \
		--with-globus-lib=/dummy \
		--with-tunneldir=$(_libdir)/dcap

	touch $@

build: build-arch build-indep

build-arch: build-stamp

build-indep:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) clean && $(MAKE) distclean ; fi

	rm -rf config
	rm -f aclocal.m4
	rm -f configure
	rm -f Makefile.in
	rm -f src/debug_level.h.in
	rm -f src/Makefile.in
	rm -f plugins/Makefile.in
	rm -f plugins/*/Makefile.in

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	rm $(INSTALLDIR)$(_libdir)/dcap/*.a
	rm $(INSTALLDIR)$(_libdir)/dcap/*.la

	rm $(INSTALLDIR)$(_libdir)/*.la

	rm -rf $(INSTALLDIR)$(_datadir)/doc

binary: binary-arch binary-indep

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip --dbg-package=dcap-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l debian/libdcap1/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

get-orig-source:
	if [ -r ../dcap_$(version).orig.tar.gz ] ; then \
	  echo "dcap_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ -d "dcap-$(version)" ]; then \
	    echo "Please remove existing directory 'dcap-$(version)'" ; \
	    exit -1 ; \
	  fi ; \
	  echo "Fetching upstream svn version" ; \
	  svn export http://svn.dcache.org/dCache/tags/dcap-$(tagvers) \
	    dcap-$(version) ; \
	  echo "Packing it up." ; \
	  tar -z -c -f ../dcap_$(version).orig.tar.gz dcap-$(version) ; \
	  echo "Cleaning up." ; \
	  rm -rf dcap-$(version) ; \
	fi

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure get-orig-source install

## dcap 2.47.7

=== debian/changelog ===
dcap (2.47.7-2) unstable; urgency=low

  * Fix segfault - issue found by Mayhem Team, Carnegie Mellon University

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 28 Jun 2013 21:17:24 +0200

dcap (2.47.7-1) unstable; urgency=low

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 Nov 2012 10:00:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-version=2.47.6
+version=2.47.7
 tagvers=$(version)
 
 configure: configure-stamp

## dcap 2.47.8

=== src/tests/Makefile ===
TEST_DIRS := uri

TEST_TESTS = $(TEST_DIRS:%=%__TEST__)
CLEAN_TESTS = $(TEST_DIRS:%=%__CLEAN__)

all: test

test: $(TEST_TESTS)

clean: $(CLEAN_TESTS)

$(TEST_TESTS):
	@make -C $(@:%__TEST__=%) test

$(CLEAN_TESTS):
	@make -C $(@:%__CLEAN__=%) clean

.PHONY: $(TEST_TESTS) $(CLEAN_TESTS) all test clean

=== src/tests/uri/Makefile ===
TESTS_SRC := $(wildcard *.src)

TESTS_RESULTS = $(TESTS_SRC:%.src=%.actual)
TESTS_EXPECTED = $(TESTS_SRC:%.src=%.expected)
TESTS_OK = $(TESTS_SRC:%.src=%.ok)

CMP_CMD = cmp -s
URL_PARSE_CMD = ../../dcap_url-test

test: $(TESTS_OK)

clean:
	rm -f $(TESTS_OK) $(TESTS_RESULTS)

%.ok: %.actual %.expected
	@echo Testing $(<:%.actual=%)
	@$(CMP_CMD) $^ && touch $@

%.actual: %.src
	@$(URL_PARSE_CMD) $$(cat $<) > $@

.PHONY: test clean
.PRECIOUS: $(TESTS_RESULTS)

=== debian/changelog ===
dcap (2.47.8-2) unstable; urgency=low

  * Adapt to multi-arch Globus installation (Closes: #730920)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 30 Nov 2013 19:38:29 +0100

dcap (2.47.8-1) unstable; urgency=low

  * New upstream release
  * Drop patch dcap-segfault.patch - merged upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 15 Aug 2013 16:31:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, autoconf, automake, libtool
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
-DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dcap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/dcap
 Homepage: http://www.dcache.org/manuals/libdcap.shtml

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 
@@ -16,9 +18,6 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-version=2.47.7
-tagvers=$(version)
-
 configure: configure-stamp
 
 configure-stamp:
@@ -31,7 +30,7 @@
 	LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
 	./configure \
 		--prefix=/usr \
-		--with-globus-include="$(_includedir)/globus -I$(_libdir)/globus/include" \
+		--with-globus-include="$(_includedir)/globus -I$(_libdir)/globus/include -I$(_includedir)/$(DEB_HOST_MULTIARCH)/globus" \
 		--with-globus-lib=/dummy \
 		--with-tunneldir=$(_libdir)/dcap
 
@@ -106,21 +105,4 @@
 
 binary-indep:
 
-get-orig-source:
-	if [ -r ../dcap_$(version).orig.tar.gz ] ; then \
-	  echo "dcap_$(version).orig.tar.gz already exists." ; \
-	else \
-	  if [ -d "dcap-$(version)" ]; then \
-	    echo "Please remove existing directory 'dcap-$(version)'" ; \
-	    exit -1 ; \
-	  fi ; \
-	  echo "Fetching upstream svn version" ; \
-	  svn export http://svn.dcache.org/dCache/tags/dcap-$(tagvers) \
-	    dcap-$(version) ; \
-	  echo "Packing it up." ; \
-	  tar -z -c -f ../dcap_$(version).orig.tar.gz dcap-$(version) ; \
-	  echo "Cleaning up." ; \
-	  rm -rf dcap-$(version) ; \
-	fi
-
-.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure get-orig-source install
+.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install

## dcap 2.47.9

=== debian/changelog ===
dcap (2.47.9-1) unstable; urgency=medium

  * New upstream release
  * Implement multiarch
  * Enable tests and add Build-Depends libcunit1-dev

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 10 Feb 2015 19:25:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: dcap
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, autoconf, automake, libtool
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libkrb5-dev, libssl-dev, dh-autoreconf, libcunit1-dev
+Standards-Version: 3.9.6
 Section: libs
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dcap
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/dcap
@@ -19,6 +19,7 @@
 Package: libdcap1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: dcap-tunnel-gsi (= ${binary:Version}), dcap-tunnel-krb (= ${binary:Version}), dcap-tunnel-ssl (= ${binary:Version}), dcap-tunnel-telnet (= ${binary:Version})
 Description: Client Libraries for dCache
  dCache is a distributed mass storage system.
@@ -35,6 +36,7 @@
 Package: dcap-tunnel-gsi
 Architecture: any
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: GSI tunnel for dCache
  This package contains the gsi tunnel plugin library used by dcap.
  This library is dynamically loaded at runtime.
@@ -42,6 +44,7 @@
 Package: dcap-tunnel-krb
 Architecture: any
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Kerberos tunnel for dCache
  This package contains the kerberos tunnel plugin library used by dcap.
  This library is dynamically loaded at runtime.
@@ -49,6 +52,7 @@
 Package: dcap-tunnel-ssl
 Architecture: any
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: SSL tunnel for dCache
  This package contains the ssl tunnel plugin library used by dcap.
  This library is dynamically loaded at runtime.
@@ -56,6 +60,7 @@
 Package: dcap-tunnel-telnet
 Architecture: any
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Telnet tunnel for dCache
  This package contains the telnet tunnel plugin library used by dcap.
  This library is dynamically loaded at runtime.
@@ -65,5 +70,6 @@
 Priority: extra
 Architecture: any
 Depends: dcap (= ${binary:Version}) | libdcap1 (= ${binary:Version}) | dcap-tunnel-gsi (= ${binary:Version}) | dcap-tunnel-krb (= ${binary:Version}) | dcap-tunnel-ssl (= ${binary:Version}) | dcap-tunnel-telnet (= ${binary:Version}), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Debug symbols for dcap
  This package contains debug symbols for dcap.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

INSTALLDIR = $(CURDIR)/debian/tmp

configure: configure-stamp

configure-stamp:
	dh_testdir

	AUTOMAKE="automake -a -f --foreign" dh_autoreconf

	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
	./configure \
		--prefix=/usr \
		--libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)' \
		--with-globus-include=/usr/include/globus \
		--with-globus-lib=/dummy \
		--with-tunneldir='$${libdir}/dcap'

	touch $@

build: build-arch build-indep

build-arch: build-stamp

build-indep:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)
	$(MAKE) check

	touch $@

clean:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) clean && $(MAKE) distclean ; fi

	dh_autoreconf_clean

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	rm $(INSTALLDIR)/usr/lib/*/dcap/*.a
	rm $(INSTALLDIR)/usr/lib/*/dcap/*.la

	rm $(INSTALLDIR)/usr/lib/*/*.la

	rm -rf $(INSTALLDIR)/usr/share/doc

binary: binary-arch binary-indep

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip --dbg-package=dcap-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install

## dcap 2.47.10

=== debian/changelog ===
dcap (2.47.10-1) unstable; urgency=medium

  * New upstream release
  * Drop patches dcap-dlopen.patch and dcap-man.patch - merged upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 11 Jan 2016 22:47:59 +0100

dcap (2.47.9-3) unstable; urgency=medium

  * Add missing Replaces/Breaks for dbg package split

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 13 Feb 2015 10:11:17 +0100

dcap (2.47.9-2) unstable; urgency=medium

  * Split dbg package for multi-arch (same vs. foreign)
  * Fix lintian manpage syntax warning

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 12 Feb 2015 15:02:21 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Package: dcap
 Section: net
 Architecture: any
+Multi-Arch: foreign
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Client Tools for dCache
  dCache is a distributed mass storage system.
@@ -18,6 +19,7 @@
 
 Package: libdcap1
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: dcap-tunnel-gsi (= ${binary:Version}), dcap-tunnel-krb (= ${binary:Version}), dcap-tunnel-ssl (= ${binary:Version}), dcap-tunnel-telnet (= ${binary:Version})
@@ -28,6 +30,7 @@
 Package: dcap-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libdcap1 (= ${binary:Version}), ${misc:Depends}
 Description: Client Development Files for dCache
  dCache is a distributed mass storage system.
@@ -35,6 +38,7 @@
 
 Package: dcap-tunnel-gsi
 Architecture: any
+Multi-Arch: same
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: GSI tunnel for dCache
@@ -43,6 +47,7 @@
 
 Package: dcap-tunnel-krb
 Architecture: any
+Multi-Arch: same
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Kerberos tunnel for dCache
@@ -51,6 +56,7 @@
 
 Package: dcap-tunnel-ssl
 Architecture: any
+Multi-Arch: same
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: SSL tunnel for dCache
@@ -59,6 +65,7 @@
 
 Package: dcap-tunnel-telnet
 Architecture: any
+Multi-Arch: same
 Depends: libdcap1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Telnet tunnel for dCache
@@ -69,7 +76,19 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: dcap (= ${binary:Version}) | libdcap1 (= ${binary:Version}) | dcap-tunnel-gsi (= ${binary:Version}) | dcap-tunnel-krb (= ${binary:Version}) | dcap-tunnel-ssl (= ${binary:Version}) | dcap-tunnel-telnet (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: foreign
+Depends: dcap (= ${binary:Version}), ${misc:Depends}
+Description: Debug symbols for dcap client tools
+ This package contains debug symbols for dcap client tools.
+
+Package: libdcap-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Replaces: dcap-dbg (<< 2.47.9-2~)
+Breaks: dcap-dbg (<< 2.47.9-2~)
+Depends: libdcap1 (= ${binary:Version}) | dcap-tunnel-gsi (= ${binary:Version}) | dcap-tunnel-krb (= ${binary:Version}) | dcap-tunnel-ssl (= ${binary:Version}) | dcap-tunnel-telnet (= ${binary:Version}), ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Description: Debug symbols for dcap
- This package contains debug symbols for dcap.
+Description: Debug symbols for dcap libraries and plugins
+ This package contains debug symbols for dcap libraries and plugins.

=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,8 @@
 	dh_install --fail-missing
 	dh_installman
 	dh_link
-	dh_strip --dbg-package=dcap-dbg
+	dh_strip -X/bin/ -X/sbin/ --dbg-package=libdcap-dbg
+	dh_strip -X/lib/ --dbg-package=dcap-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## dcap 2.47.12

=== debian/changelog ===
dcap (2.47.12-4) unstable; urgency=medium

  * Fix some compilation warnings and typos

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 08 Feb 2022 15:59:10 +0100

dcap (2.47.12-3) unstable; urgency=medium

  * Change to debhelper compat level 13
  * Convert debian/rules to dh tool (Closes: #977816)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 22 Dec 2020 05:47:25 +0100

dcap (2.47.12-2) unstable; urgency=medium

  * Fix an implicit declaration warning
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 28 Feb 2018 22:09:40 +0100

dcap (2.47.12-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 18 Nov 2017 21:31:56 +0100

dcap (2.47.11-1) unstable; urgency=medium

  * New upstream release
  * Drop patches (previously backported)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 25 Oct 2017 18:59:23 +0200

dcap (2.47.10-4) unstable; urgency=medium

  * Don't use deprecated TLSv1_client_method (Closes: #871428)
  * Migrate to dbgsym packages
  * Support DEB_BUILD_OPTIONS=nocheck

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 12 Aug 2017 10:10:20 +0200

dcap (2.47.10-3) unstable; urgency=medium

  * Fix more compiler warnings

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 05 Dec 2016 19:25:13 +0100

dcap (2.47.10-2) unstable; urgency=medium

  * Backport fixes from upstream (Closes: #828280)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 14 Sep 2016 13:16:02 +0200

=== debian/control ===
Source: dcap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 13),
 libglobus-gssapi-gsi-dev,
 libkrb5-dev,
 libssl-dev,
 zlib1g-dev,
 libcunit1-dev
Standards-Version: 4.6.0
Section: libs
Vcs-Browser: https://salsa.debian.org/ellert/dcap
Vcs-Git: https://salsa.debian.org/ellert/dcap.git
Homepage: http://www.dcache.org/manuals/libdcap.shtml

Package: dcap
Section: net
Architecture: any
Multi-Arch: foreign
Depends:
 libdcap1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Client Tools for dCache
 dCache is a distributed mass storage system.
 This package contains the client tools.

Package: libdcap1
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Suggests:
 dcap-tunnel-gsi (= ${binary:Version}),
 dcap-tunnel-krb (= ${binary:Version}),
 dcap-tunnel-ssl (= ${binary:Version}),
 dcap-tunnel-telnet (= ${binary:Version})
Description: Client Libraries for dCache
 dCache is a distributed mass storage system.
 This package contains the client libraries.

Package: dcap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdcap1 (= ${binary:Version}),
 ${misc:Depends}
Description: Client Development Files for dCache
 dCache is a distributed mass storage system.
 This package contains the client development files.

Package: dcap-tunnel-gsi
Architecture: any
Multi-Arch: same
Depends:
 libdcap1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: GSI tunnel for dCache
 This package contains the gsi tunnel plugin library used by dcap.
 This library is dynamically loaded at runtime.

Package: dcap-tunnel-krb
Architecture: any
Multi-Arch: same
Depends:
 libdcap1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: Kerberos tunnel for dCache
 This package contains the kerberos tunnel plugin library used by dcap.
 This library is dynamically loaded at runtime.

Package: dcap-tunnel-ssl
Architecture: any
Multi-Arch: same
Depends:
 libdcap1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: SSL tunnel for dCache
 This package contains the ssl tunnel plugin library used by dcap.
 This library is dynamically loaded at runtime.

Package: dcap-tunnel-telnet
Architecture: any
Multi-Arch: same
Depends:
 libdcap1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: Telnet tunnel for dCache
 This package contains the telnet tunnel plugin library used by dcap.
 This library is dynamically loaded at runtime.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@

override_dh_autoreconf:
	AUTOMAKE="automake -a -f --foreign" dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-globus-include=/usr/include/globus \
		--with-globus-lib=/dummy \
		--with-tunneldir='$${libdir}/dcap'

override_dh_auto_install:
	dh_auto_install

	rm $(INSTALLDIR)/usr/lib/*/dcap/*.a
	rm $(INSTALLDIR)/usr/lib/*/dcap/*.la

	rm $(INSTALLDIR)/usr/lib/*/*.la

	rm -rf $(INSTALLDIR)/usr/share/doc

override_dh_strip:
	dh_strip --dbgsym-migration='libdcap-dbg (<< 2.47.10-4~), dcap-dbg (<< 2.47.10-4~)'

## dcap 2.47.13

=== debian/changelog ===
dcap (2.47.13-1) unstable; urgency=medium

  * New upstream release (Closes: #1029031)
  * Drop patches accepted upstream
  * Remove override_dh_strip rule (completed debug symbol migration)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 23 Jan 2023 16:20:55 +0100

## dcap 2.47.14

=== debian/changelog ===
dcap (2.47.14-2) unstable; urgency=medium

  * Enable bind-now hardening
  * Fix build with 64 bit time_t (Closes: #1065771)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 11 Mar 2024 18:59:53 +0100

dcap (2.47.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062021

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 01:15:53 +0000

dcap (2.47.14-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 01 Feb 2023 14:27:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,31 +2,35 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper (>= 13),
+ debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  libglobus-gssapi-gsi-dev,
  libkrb5-dev,
  libssl-dev,
  zlib1g-dev,
  libcunit1-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Vcs-Browser: https://salsa.debian.org/ellert/dcap
 Vcs-Git: https://salsa.debian.org/ellert/dcap.git
-Homepage: http://www.dcache.org/manuals/libdcap.shtml
+Homepage: https://www.dcache.org/manuals/libdcap.shtml
 
 Package: dcap
 Section: net
 Architecture: any
 Multi-Arch: foreign
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Client Tools for dCache
  dCache is a distributed mass storage system.
  This package contains the client tools.
 
-Package: libdcap1
+Package: libdcap1t64
+Provides: ${t64:Provides}
+Replaces: libdcap1
+Breaks: libdcap1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -48,7 +52,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${misc:Depends}
 Description: Client Development Files for dCache
  dCache is a distributed mass storage system.
@@ -58,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Pre-Depends:
@@ -71,7 +75,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Pre-Depends:
@@ -84,7 +88,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Pre-Depends:
@@ -97,7 +101,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libdcap1 (= ${binary:Version}),
+ libdcap1t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Pre-Depends:

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 
@@ -24,6 +26,3 @@
 	rm $(INSTALLDIR)/usr/lib/*/*.la
 
 	rm -rf $(INSTALLDIR)/usr/share/doc
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libdcap-dbg (<< 2.47.10-4~), dcap-dbg (<< 2.47.10-4~)'

## dcap qvl-0.3.2

=== Makefile ===
WASM_PACK = wasm-pack
INSTALL_TOOL = cargo install wasm-pack
BUILD_WEB = $(WASM_PACK) build --release --target web --out-dir pkg/web --out-name dcap-qvl-web -- --features=js
BUILD_NODE = $(WASM_PACK) build --release --target nodejs --out-dir pkg/node --out-name dcap-qvl-node -- --features=js

all: install_wasm_tool build_web_pkg build_node_pkg

install_wasm_tool:
	@echo "Installing wasm-pack if not already installed..."
	@if ! command -v $(WASM_PACK) &> /dev/null; then \
		echo "wasm-pack not found, installing..."; \
		$(INSTALL_TOOL); \
	else \
		echo "wasm-pack is already installed."; \
	fi

build_web_pkg: install_wasm_tool
	@echo "Building for web browsers..."
	$(BUILD_WEB)

build_node_pkg: install_wasm_tool
	@echo "Building for Node.js..."
	$(BUILD_NODE)

clean:
	@echo "Cleaning up..."
	rm -rf pkg

# Python bindings targets
build_python:
	@echo "Building Python bindings..."
	cd python-bindings && uv run maturin develop --features python

test_python:
	@echo "Testing Python bindings..."
	cd python-bindings && uv run python examples/basic_test.py
	@echo "Testing Python bindings across multiple versions..."
	./python-bindings/tests/test_python_versions.sh
	@echo "Testing collateral API..."
	cd python-bindings && uv run python -m pytest tests/test_collateral_api.py -v
	@echo "Testing async collateral functions..."
	cd python-bindings && uv run python tests/test_with_samples.py
	@echo "Testing across Python versions with cross-version script..."
	cd python-bindings && ./tests/test_cross_versions.sh
	@echo "Testing async collateral functions with sample data..."
	cd python-bindings && uv run python tests/test_with_samples.py
	@echo "Running comprehensive async function tests..."
	cd python-bindings && uv run python tests/test_all_async_functions.py

python_clean:
	@echo "Cleaning Python build artifacts..."
	rm -rf target/wheels/
	rm -rf python-bindings/python_version_test_report.json
	find python-bindings -name "*.pyc" -delete
	find python-bindings -name "__pycache__" -type d -exec rm -rf {} + 2>/dev/null || true

.PHONY: all install_wasm_tool build_web_pkg build_node_pkg clean build_python python_dev test_python test_python_versions test_collateral_api test_cross_versions python_clean
